First time here? Check out the FAQ!
x

Is Quick Verse 10 compatible with the new Mac OS 10.11?

0 votes
asked by
edited by

Is Quick Verse 10 compatible with the new Mac OS 10.11?

1 Answer

0 votes
answered by (329k points)

No, QuickVerse 10 is not compatible with the Mac OS 10.11 because it's not supported anymore. The new version of the software is called Wordsearch 11 and it has the following compatibility requirements:

  • For PC:

Windows requirements

  • For Mac:

Mac requirements

As you can see in the images, WORDsearch 11 supports Mac OS X 10.11. For any other additional support, check their official website.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...